#ifndef KLISTWIDGET_H
#define KLISTWIDGET_H

#include <QListWidget>
#include <QQueue>

class QPropertyAnimation;

class KListWidget : public QListWidget
{
public:
    KListWidget(QWidget *parent = nullptr);
    ~KListWidget();

    void setItemWidget(QListWidgetItem *item, QWidget *widget);

    // remove 之后不用手动去 delete 添加的 widget，因为动画要用到
    void removeItem(QListWidgetItem *item);

private:
    int m_setWidgetDuration = 500;
    int m_removeWidgetDuration = 300;

    quint64 m_lastAddTime;

    QQueue<QPropertyAnimation *> m_setAnm_queue;
    QQueue<QPropertyAnimation *> m_removeAnm_queue;
};

#endif // KLISTWIDGET_H
